Subject: Re: Fwd: Re: Core dumped just only with strcat!
From: Andrew Markebo <[email-masked]>
To: Pavel Tsekov <[email-masked]>
Cc: [email-masked], [email-masked]
Date: 19 Feb 2002 14:39:53 +0100

Basically this problem smells like you have managed to mess up the
memory/stack before this, and well, memory problems is often
'detected' by the program crashes on some other location..

So start looking around at the code, what is done before these calls.

        /Andy

(with detected I mean that the user notices that the program crashes
or similar)

/ Pavel Tsekov <[email-masked]> wrote:
| This is a forwarded message
| From: Dani P. <[email-masked]>
| To: "Pavel Tsekov" <[email-masked]>
| X-Sent: 32 years, 7 weeks, 13 hours, 35 minutes, 10 seconds ago
| Subject: Core dumped just only with strcat!
| 
| ===8<==============Original message text===============
| I've trying lots of things and after 1 day with it, I've achieved to work
| part of the code. What I did? I just declared my array before a MYSQL_RES
| variable. I had:
| 
| MYSQL_RES * result;
| char petition[500];
| 
| And I changed to:
| 
| char petition[500];
| MYSQL_RES * result;
| 
| And also I did all the string work before the mysql stuff (connection call,
| query call,...). And, don't ask me why, it worked! (now it crashes in other
| function, in a mysql_query call).

-- 
 The eye of the beholder rests on the beauty!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/